<ion-header>
  <ion-toolbar #toolbar class='custom'>
<!--    <ion-title>{{ 'home.title' | translate }}</ion-title>-->
    <!--    <ion-buttons slot="primary">
          <ion-button color="primary" (click)='openHelpModal()'>
            <ion-icon slot="icon-only" size="large" slot="end" name="help-outline" class="custom"> </ion-icon>
          </ion-button>
        </ion-buttons>-->
  </ion-toolbar>
</ion-header>
<ion-content [fullscreen]="true" scrollEvents="true" [appHideHeader]="toolbar" class='custom'>
  <ion-grid>
    <ion-row class='justify-content-center ion-justify-content-center'>
      <header-logos class='w-100'></header-logos>
      <ion-col class='ion-padding-horizontal' size='12'>
        <ion-text size="large" color='dark'>
          <h1 *ngIf='applications && applications.data.length == 0 && showSpinner === false'>
          {{ 'home.title' | translate }}
      <!--    <span>
            <ion-img
              style='width: 50px; display: inline-block; float: right; opacity: 0.5'
              src='assets/icon/message.svg'
            ></ion-img>
          </span>-->
          </h1>
        </ion-text>
      </ion-col>
    </ion-row>
  </ion-grid>
  <ion-grid class='ion-no-padding'>
    <ion-row>
      <ion-col size='12'>
        <div *ngIf='showSpinner === true' class='row'>
          <loading-text-card></loading-text-card>
        </div>
      </ion-col>
    </ion-row>
    <ion-row *ngIf='applications && applications.data.length > 0'>
      <ion-col size='12'>
        <ion-list>
          <h1 class='ion-padding-horizontal'>{{ 'home.pratiche_recenti' | translate }}</h1>
          <ion-card
            *ngFor='let application of applications.data'
            (click)="openDetails('/pratice/'+application.id,application)">
            <ion-card-header class='ion-text-wrap'>
              <ion-card-subtitle>
                {{application.service_group_name}}
              </ion-card-subtitle>
              <ion-text>
                <p style='position: absolute; right: 10px; top: 0'>
                  {{ 'common.del' | translate }} <b>{{application.created_at | date:'dd/LL' }}</b>
                </p>
                <h2 class='ion-padding-vertical'>{{application.service_name}}</h2>
                <h5>{{ 'home.stato_della_pratica' | translate }} <br>
                  <ion-badge><b> {{application.status | statusName }}</b></ion-badge>
                </h5>
              </ion-text>
            </ion-card-header>
            <ion-card-content>
              <ion-text *ngIf='application.data.calendar'>
                <h3 *ngIf='application.parse_data_calendar'>{{ 'home.appuntamento' | translate }}
                  <p><b style='font-size: 18px'>{{application.parse_data_calendar.slot}}</b>
                    {{application.parse_data_calendar.letteralDaySelected }}
                  </p>
                </h3>
              </ion-text>
            </ion-card-content>
          </ion-card>
        </ion-list>
      </ion-col>
    </ion-row>
    <ion-row *ngIf='applications && applications.data.length == 0 && showSpinner === false'>
      <ion-col size='12'>
        <ion-list>
          <ion-img class='ion-text-center' src='assets/landing/session_expired.png'
                   style='width: 100px;margin: 0 auto;'></ion-img>
          <p class='ion-padding ion-text-center'>{{ 'home.non_hai_pratiche' | translate }}</p>
        </ion-list>
      </ion-col>
    </ion-row>
  </ion-grid>
  <ion-refresher slot='fixed' (ionRefresh)='doRefresh($event)' pullFactor='0.5' pullMin='100' pullMax='200'>
    <ion-refresher-content></ion-refresher-content>
  </ion-refresher>
</ion-content>
